assert(TrackCooldowns, "TrackCooldowns not found!") 

local hero = (UnitFactionGroup("player") == "Alliance") and 32182 or 2825
local cooldowns = {

    ["DEATHKNIGHT"] = { 
        [GetSpellInfo(48707)] = { id = 48707, cd = 45 },			-- Anti-magic Shield 
        [GetSpellInfo(49222)] = { id = 49222, cd = 60 },			-- Bone Shield  
        [GetSpellInfo(48792)] = { id = 48792, cd = 180 },			-- Icebound Fortitude 
        [GetSpellInfo(55233)] = { id = 55233, cd = 60 },			-- Vampiric Blood
        [GetSpellInfo(48982)] = { id = 48982, cd = 30 },			-- Rune Tap
        [GetSpellInfo(61999)] = { id = 61999, cd = 600 },			-- Raise Ally
        [GetSpellInfo(56222)] = { id = 56222, cd = 8 },				-- Dark Command
		[GetSpellInfo(49576)] = { id = 49576, cd = 35 },			-- Death Grip
		[GetSpellInfo(47528)] = { id = 47528, cd = 10 },			-- Mind Freeze
		[GetSpellInfo(47476)] = { id = 47476, cd = 120 },			-- Strangulate
    },

    ["DRUID"] = { 
        [GetSpellInfo(22812)] = { id = 22812, cd = 60 },			-- Barkskin  
        [GetSpellInfo(29166)] = { id = 29166, cd = 180 },			-- Innervate  
        [GetSpellInfo(20484)] = { id = 20484, cd = 600, ora = 1 },	-- Rebirth 
        [GetSpellInfo(740)]   = { id =   740, cd = 480 },			-- Tranquility
		[GetSpellInfo(48371)] = { id = 48371, cd = 180 },			-- Tree of Life
		[GetSpellInfo(61336)] = { id = 61336, cd = 180 },			-- Survival Instincts
		[GetSpellInfo(22842)] = { id = 22842, cd = 180 },			-- Frenzied Regeneration
		[GetSpellInfo(50516)] = { id = 50516, cd = 20 },			-- Typhoon
		[GetSpellInfo(6795)]  = { id =  6795, cd = 8 },				-- Growl
		[GetSpellInfo(5209)]  = { id =  5209, cd = 180 },			-- Challenging Roar
		[GetSpellInfo(80964)] = { id = 80964, cd = 10 },			-- Skull Bash (Bear) // With talents
		[GetSpellInfo(80965)] = { id = 80965, cd = 10 },			-- Skull Bash (Cat) // With talents
		[GetSpellInfo(78675)] = { id = 78675, cd = 60 },			-- Solar Beam
    },

    ["HUNTER"] = { 
		[GetSpellInfo(5384)]  = { id = 5384,  cd = 30 },			-- Feign Death
		[GetSpellInfo(34477)] = { id = 34477, cd = 30 },			-- Misdirection
		[GetSpellInfo(34477)] = { id = 34477, cd = 30 },			-- Deterrence
		[GetSpellInfo(34490)] = { id = 34490, cd = 20 },			-- Silencing Shot
    },

    ["MAGE"] = {
        [GetSpellInfo(80353)] = { id = 80353, cd = 300 },			-- Time Warp
		[GetSpellInfo(45438)] = { id = 45438, cd = 300 },			-- Ice Block
		[GetSpellInfo(66)]    = { id =    66, cd = 180 },			-- Invisibility
		[GetSpellInfo(82676)] = { id = 82676, cd = 120 },			-- Ring of Frost
		[GetSpellInfo(2139)]  = { id = 2139,  cd = 24 },			-- Counterspell
    },

    ["PALADIN"] = { 
        [GetSpellInfo(498)]   = { id =   498, cd = 60 },			-- Divine Protection 
        [GetSpellInfo(70940)] = { id = 70940, cd = 120 },			-- Divine Guardian 
        [GetSpellInfo(642)]   = { id =   642, cd = 300 },			-- Divine Shield
        [GetSpellInfo(31850)] = { id = 31850, cd = 180 },			-- Ardent Defender 
        [GetSpellInfo(1022)]  = { id =  1022, cd = 300 },			-- Hand of Protection  
        [GetSpellInfo(6940)]  = { id =  6940, cd = 120 },			-- Hand of Sacrifice 
        [GetSpellInfo(1038)]  = { id =  1038, cd = 120 },			-- Hand of Salvation 
        [GetSpellInfo(633)]   = { id =   633, cd = 600 },			-- Lay on Hands
        [GetSpellInfo(86150)] = { id = 86150, cd = 180 },			-- Guardian of Ancient Kings // All specs, cannot track only protection
        [GetSpellInfo(31821)] = { id = 31821, cd = 120 },			-- Aura Mastery
        [GetSpellInfo(54428)] = { id = 54428, cd = 120 },			-- Divine Plea
        [GetSpellInfo(62124)] = { id = 62124, cd = 8 },				-- Hand of Reckoning
        [GetSpellInfo(31789)] = { id = 31789, cd = 8 },				-- Righteous Defense
		[GetSpellInfo(96231)] = { id = 96231, cd = 10 },			-- Rebuke
    },

    ["PRIEST"] = { 
        [GetSpellInfo(64843)] = { id = 64843, cd = 480 },			-- Divine Hymn 
        [GetSpellInfo(6346)]  = { id =  6346, cd = 180 },			-- Fear Ward 
        [GetSpellInfo(47788)] = { id = 47788, cd = 180 },			-- Guardian Spirit 
        [GetSpellInfo(64901)] = { id = 64901, cd = 360 },			-- Hymn of Hope 
        [GetSpellInfo(73325)] = { id = 73325, cd = 90 },			-- Leap of Faith
        [GetSpellInfo(33206)] = { id = 33206, cd = 180 },			-- Pain Suppression 
        [GetSpellInfo(62618)] = { id = 62618, cd = 180 },			-- Power Word: Barrier 
        [GetSpellInfo(15487)] = { id = 15487, cd = 45 },			-- Silence
    },

    ["ROGUE"] = { 
        [GetSpellInfo(31224)] = { id = 31224, cd = 90 },			-- Cloak of Shadows
		[GetSpellInfo(1856)]  = { id = 1856, cd = 180 },			-- Vanish
        [GetSpellInfo(57934)] = { id = 57934, cd = 30 },			-- Tricks of the Trade
		[GetSpellInfo(1766)]  = { id = 1766,  cd = 10 },			-- Kick
    },

    ["SHAMAN"] = { 
        [GetSpellInfo(hero)]  = { id = hero,  cd = 300 },			-- Bloodlust/Heroism  
        [GetSpellInfo(16190)] = { id = 16190, cd = 180 },			-- Mana Tide Totem  
        [GetSpellInfo(20608)] = { id = 20608, cd = 1800, ora = 2 },	-- Reincarnation 
		[GetSpellInfo(98008)] = { id = 98008, cd = 180 },			-- Spirit Link Totem
		[GetSpellInfo(51490)] = { id = 51490, cd = 45 },			-- Thunderstorm
		[GetSpellInfo(57994)] = { id = 57994, cd = 6 },				-- Wind Shear
    },

    ["WARLOCK"] = { 
        [GetSpellInfo(20707)] = { id = 20707, cd = 1800, ora = 3 },	-- Soulstone Resurrection // Possible need to track 6203
		[GetSpellInfo(698)]   = { id =   698, cd = 120 },			-- Ritual of Summoning
		[GetSpellInfo(29893)] = { id = 29893, cd = 300 },			-- Ritual of Souls
		[GetSpellInfo(19647)] = { id = 19647, cd = 24 },			-- Spell Lock
    },

    ["WARRIOR"] = { 
        [GetSpellInfo(12975)] = { id = 12975, cd = 180 },			-- Last Stand  
        [GetSpellInfo(871)]   = { id =   871, cd = 300 },			-- Shield Wall 
        [GetSpellInfo(55694)] = { id = 55694, cd = 180 },			-- Enraged Regeneration
        [GetSpellInfo(355)]   = { id =   355, cd = 8 },				-- Taunt
		[GetSpellInfo(1161)]  = { id =  1161, cd = 180 },			-- Challenging Shout
		[GetSpellInfo(97462)] = { id = 97462, cd = 180 },			-- Rallying Cry
		[GetSpellInfo(6552)]  = { id = 6552,  cd = 10 },			-- Pummel
    }, 
} 

TrackCooldowns.cooldowns = cooldowns